Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.gen
Class Parser

    java.lang.Object
      org.apache.axis.wsdl.gen.Parser

Direct Known Subclasses:
  Emitter

public class Parser
extends Object

This is a class with no documentation.

Field Summary
`protected boolean` | `debug`
`protected boolean` | `imports`
`protected boolean` | `nowrap`
`protected String` | `password`
`protected String` | `username`
`protected boolean` | `verbose`

Constructor Summary
`Parser()`

Method Summary
`javax.wsdl.Definition` | `getCurrentDefinition()` Return the current definition.
`GeneratorFactory` | `getFactory()`
`String` | `getPassword()`
`SymbolTable` | `getSymbolTable()` Get the symbol table.
`long` | `getTimeout()` Return the current timeout setting
`String` | `getUsername()`
`String` | `getWSDLURI()` Get the current WSDL URI.
`boolean` | `isDebug()`
`boolean` | `isImports()`
`boolean` | `isNowrap()`
`boolean` | `isVerbose()`
`void` | `run(String wsdlURI)` Parse a WSDL at a given URL.
`void` | `run(String context, Document doc)` Call this method if your WSDL document has already been parsed as an XML DOM document.
`protected void` | `sanityCheck(SymbolTable symbolTable)`
`void` | `setDebug(boolean debug)`
`void` | `setFactory(GeneratorFactory factory)`
`void` | `setImports(boolean imports)`
`void` | `setNowrap(boolean nowrap)`
`void` | `setPassword(String password)`
`void` | `setTimeout(long timeout)` Set the timeout, in milliseconds
`void` | `setUsername(String username)`
`void` | `setVerbose(boolean verbose)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected boolean debug

### imports

    protected boolean imports

### verbose

    protected boolean verbose

### nowrap

    protected boolean nowrap

### username

    protected String username

### password

    protected String password

Constructor Detail

### Parser

    public Parser()

Method Detail

### isDebug

    public boolean isDebug()

### setDebug

    public void setDebug(boolean debug)

### isImports

    public boolean isImports()

### setImports

    public void setImports(boolean imports)

### isVerbose

    public boolean isVerbose()

### setVerbose

    public void setVerbose(boolean verbose)

### isNowrap

    public boolean isNowrap()

### setNowrap

    public void setNowrap(boolean nowrap)

### getTimeout

    public long getTimeout()

  Return the current timeout setting

### setTimeout

    public void setTimeout(long timeout)

  Set the timeout, in milliseconds

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getFactory

    public GeneratorFactory getFactory()

### setFactory

    public void setFactory(GeneratorFactory factory)

### getSymbolTable

    public SymbolTable getSymbolTable()

  Get the symbol table. The symbol table is null until run is called.

### getCurrentDefinition

    public javax.wsdl.Definition getCurrentDefinition()

  Return the current definition. The current definition is null until run is called.

### getWSDLURI

    public String getWSDLURI()

  Get the current WSDL URI. The WSDL URI is null until run is called.

### run

    public void run(String wsdlURI)
             throws Exception

  Parse a WSDL at a given URL.

  This method will time out after the number of milliseconds specified by our timeoutms member.

  Throws:
    `Exception`

### run

    public void run(String context,
                    Document doc)
             throws IOException,
                    SAXException,
                    javax.wsdl.WSDLException,
                    ParserConfigurationException

  Call this method if your WSDL document has already been parsed as an XML DOM document.

  Parameters:
    `context` - context This is directory context for the Document. If the Document were from file "/x/y/z.wsdl" then the context could be "/x/y" (even "/x/y/z.wsdl" would work). If context is null, then the context becomes the current directory.
    `doc` - doc This is the XML Document containing the WSDL.
  Throws:
    `IOException`
    `SAXException`
    `javax.wsdl.WSDLException`
    `ParserConfigurationException`

### sanityCheck

    protected void sanityCheck(SymbolTable symbolTable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.